aboutsummaryrefslogtreecommitdiffstats
path: root/main/postgresql/postgresql.pre-upgrade
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-12 15:58:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-12 15:58:33 +0000
commitb52f84fe568749a09eaabe3ccbb5f6fe0c60f157 (patch)
treef6eafa46ed059fcd409a7037ac56108d52e5f753 /main/postgresql/postgresql.pre-upgrade
parentbe9bc29b4ec785ab1da8c53557802de550de2639 (diff)
downloadaports-b52f84fe568749a09eaabe3ccbb5f6fe0c60f157.tar.bz2
aports-b52f84fe568749a09eaabe3ccbb5f6fe0c60f157.tar.xz
main/postgresql: upgrade to 8.4
Need to manually upgrade the database
Diffstat (limited to 'main/postgresql/postgresql.pre-upgrade')
-rw-r--r--main/postgresql/postgresql.pre-upgrade30
1 files changed, 30 insertions, 0 deletions
diff --git a/main/postgresql/postgresql.pre-upgrade b/main/postgresql/postgresql.pre-upgrade
new file mode 100644
index 0000000000..358e9986b4
--- /dev/null
+++ b/main/postgresql/postgresql.pre-upgrade
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+
+current="$1"
+compare=$(apk version -t $current 8.4)
+
+# check if we upgrade from earlier than 8.4 and if it is running
+if [ "$compare" != "<" ] || ! /etc/init.d/postgresql --quiet status; then
+ exit 0
+fi
+
+if [ -f /etc/conf.d/postgresql ]; then
+ . /etc/conf.d/postgresql
+fi
+
+cat <<EOF
+* You are upgrading to postgres 8.4 wich is not compatible with the running
+* See: http://www.postgresql.org/docs/8.4/interactive/install-upgrading.html
+*
+* The corresponding steps for Alpine Linux is:
+*
+* pg_dumpall -U ${PGUSER:-postgres} > dumpfile
+* /etc/init.d/postgresql stop
+* apk add -u postgresql
+* /etc/init.d/postgresql setup
+* /etc/init.d/postgresl start
+* psql -U ${PGUSER:-postgres} -f dumpfile
+*
+EOF
+exit 1